summaryrefslogtreecommitdiffstats
path: root/source/l/gamin
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/gamin')
-rw-r--r--source/l/gamin/0001-Poll-files-on-nfs4.patch27
-rwxr-xr-xsource/l/gamin/gamin.SlackBuild5
2 files changed, 31 insertions, 1 deletions
diff --git a/source/l/gamin/0001-Poll-files-on-nfs4.patch b/source/l/gamin/0001-Poll-files-on-nfs4.patch
new file mode 100644
index 000000000..f776732c8
--- /dev/null
+++ b/source/l/gamin/0001-Poll-files-on-nfs4.patch
@@ -0,0 +1,27 @@
+From b92b17ecced6df463da73d6de566740cf5cd00d4 Mon Sep 17 00:00:00 2001
+From: Marek Kasik <mkasik@redhat.com>
+Date: Fri, 1 Feb 2013 15:19:58 +0100
+Subject: [PATCH 1/2] Poll files on nfs4
+
+Add nfs4 among polled filesystems.
+
+https://bugzilla.gnome.org/show_bug.cgi?id=693006
+---
+ server/gam_fs.c | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/server/gam_fs.c b/server/gam_fs.c
+index c8ca704..143a603 100644
+--- a/server/gam_fs.c
++++ b/server/gam_fs.c
+@@ -178,6 +178,7 @@ gam_fs_init (void)
+ gam_fs_set ("reiserfs", GFS_MT_DEFAULT, 0);
+ gam_fs_set ("novfs", GFS_MT_POLL, 30);
+ gam_fs_set ("nfs", GFS_MT_POLL, 5);
++ gam_fs_set ("nfs4", GFS_MT_POLL, 5);
+ if (stat("/etc/mtab", &mtab_sbuf) != 0)
+ {
+ GAM_DEBUG(DEBUG_INFO, "Could not stat /etc/mtab\n");
+--
+1.8.1.2
+
diff --git a/source/l/gamin/gamin.SlackBuild b/source/l/gamin/gamin.SlackBuild
index 369bc37be..6c92705ad 100755
--- a/source/l/gamin/gamin.SlackBuild
+++ b/source/l/gamin/gamin.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gamin
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-7}
+BUILD=${BUILD:-8}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -84,6 +84,9 @@ zcat $CWD/fix-double-lock-in-inotify-helper-c.patch.gz | patch -p1 --verbose ||
# Fix a build error with newer toolchain
zcat $CWD/no_g_const_return.patch.gz | patch -p1 --verbose || exit 1
+# Poll files on NFSv4:
+zcat $CWD/0001-Poll-files-on-nfs4.patch.gz | patch -p1 --verbose || exit 1
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \